Bug 138933 - UI Line end style not reflected in Line dialog when opening XLSX file
Summary: UI Line end style not reflected in Line dialog when opening XLSX file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: XLSX-Shapes
  Show dependency treegraph
 
Reported: 2020-12-15 10:25 UTC by NISZ LibreOffice Team
Modified: 2022-12-19 03:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel (9.09 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-12-15 10:25 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc (88.34 KB, image/png)
2020-12-15 10:25 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-12-15 10:25:02 UTC
Created attachment 168187 [details]
Example file from Excel

Attached example XLSX file contains two line shapes with line ending arrows. The first has default arrows, the second has a diamond arrow and a circle on each ends.
These line ends are imported correctly in Calc, but the Line dialog does not select them from the Arrow Styles lists, instead displays the – none – value.

Steps to reproduce:
    1. Open attached file
    2. Select one of the lines, open the Line dialog

Actual results:
The Start style and End style dropdowns display – none – as value.

Expected results:
They should display the corresponding line end styles.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 368c56144aab5794c39d5bc2082d9b3d6d7cebdb
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Also happens all the way back (6.0, 5.0, 4.0 checked) to:
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 1 NISZ LibreOffice Team 2020-12-15 10:25:19 UTC
Created attachment 168188 [details]
Screenshot of the original document side by side in Excel and Calc
Comment 2 Xisco Faulí 2020-12-18 18:15:47 UTC
Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 8b3982681e98818388c09233960ad6eaacee205a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 QA Administrators 2022-12-19 03:18:28 UTC
Dear NISZ LibreOffice Team,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug